@tailwind base;
@tailwind components;
@tailwind utilities;

#app {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("./assets/sunny.jpg");
  background-size: cover;
  background-position: top;
  backdrop-filter: brightness(40%);
  transition: 0.4s;
}

#app.Clear {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("./assets/sunny.jpg");
  background-size: cover;
  background-position: top;
  backdrop-filter: brightness(40%);
  transition: 0.4s;
}

#app.Cloudy {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("./assets/cloudy.jpg");
  background-size: cover;
  background-position: top;
  backdrop-filter: brightness(60%);
  transition: 0.4;
}

#app.Rain {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("./assets/rain.jpg");
  background-size: cover;
  background-position: top;
  backdrop-filter: brightness(60%);
  transition: 0.4;
}

#app.Thunderstorm {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    url("./assets/thunderstorm.jpg");
  background-size: cover;
  background-position: top;
  backdrop-filter: brightness(60%);
  transition: 0.4;
}
